Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.ntruprime
Class NTRULPRimePrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.pqc.crypto.ntruprime.NTRULPRimeKeyParameters
              org.bouncycastle.pqc.crypto.ntruprime.NTRULPRimePrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

public class NTRULPRimePrivateKeyParameters
extends NTRULPRimeKeyParameters

Constructor Summary
`NTRULPRimePrivateKeyParameters(NTRULPRimeParameters params, byte[] enca, byte[] pk, byte[] rho, byte[] hash)`

Method Summary
`byte[]` | `getEnca()`
`byte[]` | `getEncoded()`
`byte[]` | `getHash()`
`byte[]` | `getPk()`
`byte[]` | `getRho()`

Methods inherited from class org.bouncycastle.pqc.crypto.ntruprime.NTRULPRimeKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NTRULPRimePrivateKeyParameters

    public NTRULPRimePrivateKeyParameters(NTRULPRimeParameters params,
                                          byte[] enca,
                                          byte[] pk,
                                          byte[] rho,
                                          byte[] hash)

Method Detail

### getEnca

    public byte[] getEnca()

### getPk

    public byte[] getPk()

### getRho

    public byte[] getRho()

### getHash

    public byte[] getHash()

### getEncoded

    public byte[] getEncoded()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD